WordPress.org

Plugin Directory

Test out the new Plugin Directory and let us know what you think.

Postman SMTP Mailer/Email Log

Send, log and troubleshoot your Outgoing Email easily. Supports everything: SMTP, Gmail, Mandril, SendGrid and OAuth 2.0!

Postman is a next-generation SMTP Mailer, software that assists in the delivery of email generated by your WordPress site. Postman is the first and only plugin to support the latest security standards. With OAuth 2.0, there is no need to store your email passsword in the WordPress database where it might be found.

Postman is one year old! SparkPost API Integration is coming soon as Mandrill is no longer offering a free service.

The Connectivity Test and intelligent Setup Wizard scan your SMTP server to detect firewall blocks and eliminate configuration mistakes. The built-in Email Log is an invaluable resource for diagnosing problems with emails. Even hosts that block the standard SMTP ports, like GoDaddy or Bluehost, can't stop your email as Postman can deliver via HTTPS if it can't use SMTP.

Postman is not another WP Mail SMTP clone like WP Bank or Easy SMTP. It replaces the default WordPress SMTP library, PHPMailer, with the heavy-duty Zend_Mail. Never lose an email to PHP mail() again.

Standard Features

  • Easy-to-use, powerful Setup Wizard for perfect configuration
  • Commercial-grade Connectivity Tester to diagnose server issues
  • Log and resend all emails; see the exact cause of failed emails
  • Supports International alphabets, HTML Mail and MultiPart/Alternative
  • Supports forced recipients (cc, bcc, to) and custom email headers
  • SASL Support: Plain/Login/CRAM-MD5/XOAUTH2 authentication
  • Security Support: SMTPS and STARTTLS (SSL/TLS)
  • Copy configuration to other instances of Postman

OAuth 2.0 Features

  • Supports the proprietary OAuth 2.0 implementations of Gmail, Hotmail and Yahoo
  • Fire-and-forget delivery continues even if your password changes
  • Gmail: By combining OAuth2 and the Gmail API, Postman can deliver where other plugins can not

WebService (HTTPS) Email Features

  • Gmail API for sending Gmail and Google Apps email (requires a Google account)
  • Mandrill API for sending any email (requires a Mandrill account)
  • COMING SOON: Sparkpost API for sending any email (requires a Sparkpost account)
  • SendGrid API for sending any email (requires a SendGrid account and PHP 5.3)

Postman needs translators! If you are a non-English speaker, please get involved!

Compatibile With..

Requirements

  • WordPress 3.9 and PHP 5.2 with SPL and iconv
  • Memory: 750KiB per process at idle
  • Reliable mail delivery with custom email domains requires an SPF record
  • Reliable SMTP delivery requires credentials with an email service provider
  • OAuth 2.0 features require a Gmail, Hotmail or Yahoo mail OAuth 2.0 credentials

Requires: 3.9 or higher
Compatible up to: 4.4.6
Last Updated: 10 months ago
Active Installs: 100,000+

Ratings

4.9 out of 5 stars

Support

2 of 68 support threads in the last two months have been marked resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

2 people say it works.
0 people say it's broken.

100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 0,1,0 50,2,1 100,1,1 100,1,1 0,1,0 100,1,1 100,2,2 0,1,0 0,1,0 100,1,1 100,2,2 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,2,2 100,3,3 100,1,1 100,1,1 50,2,1 100,1,1 100,2,2 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1
100,1,1 100,1,1 100,1,1 100,1,1 100,2,2 0,1,0 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 0,1,0
100,1,1 100,2,2 100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,4,4 100,5,5 100,1,1 100,1,1 0,1,0 100,2,2 90,10,9 100,2,2
100,1,1
100,3,3
100,4,4
100,7,7 100,9,9 0,1,0 75,4,3 100,15,15
100,7,7
100,6,6
100,11,11
100,6,6
50,2,1
100,5,5
100,12,12
100,5,5
92,12,11
100,3,3
100,2,2